💥 Grab our Lifetime Deal at just $79 (was $199) | One-time Payment 🔒
Cài đặt ứng dụng của chúng tôi 🪄 Nhấp vào biểu tượng ở góc phải phía trên của thanh địa chỉ.

Thanh toán tài khoản

GET https://qrcodemonkey.net/api/payments/
curl --request GET \
--url 'https://qrcodemonkey.net/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Tham số Chi tiết Mô tả
processor Tùy chọn Dịch, nhưng tránh trả về dấu chấm kết thúc: Chuỗi Giá trị được chấp nhận: paypal , stripe , offline_payment , payu , iyzico , paystack , razorpay , mollie , yookassa , crypto_com , paddle , paddle_billing , mercadopago , midtrans , flutterwave , lemonsqueezy , myfatoorah , klarna , plisio , revolut
status Tùy chọn Dịch, nhưng tránh trả về dấu chấm kết thúc: Chuỗi Giá trị được chấp nhận: paid , pending , cancelled , refunded
type Tùy chọn Dịch, nhưng tránh trả về dấu chấm kết thúc: Chuỗi Giá trị được chấp nhận: one_time , recurring
frequency Tùy chọn Dịch, nhưng tránh trả về dấu chấm kết thúc: Chuỗi Giá trị được chấp nhận: monthly , quarterly , biannual , annual , lifetime
order_by Tùy chọn Dịch, nhưng tránh trả về dấu chấm kết thúc: Chuỗi Trường nào để sắp xếp kết quả theo. Giá trị được phép là: id , datetime , total_amount
order_type Tùy chọn Dịch, nhưng tránh trả về dấu chấm kết thúc: Chuỗi Thứ tự của kết quả. Giá trị cho phép là: ASC cho thứ tự tăng dần, và DESC cho thứ tự giảm dần.
page Tùy chọn Số nguyên Số trang mà bạn muốn kết quả từ. Mặc định là 1
results_per_page Tùy chọn Số nguyên Bạn muốn bao nhiêu kết quả trên mỗi trang. Giá trị cho phép là: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Mặc định là 25.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "[email protected]",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-03-31 23:47:53",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://qrcodemonkey.net/api/payments?page=1",
        "last": "https://qrcodemonkey.net/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://qrcodemonkey.net/api/payments?page=1"
    }
}
GET https://qrcodemonkey.net/api/payments/{payment_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "[email protected]",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-03-31 23:47:53",
    }
}